Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2764603002: Add TaskScheduler::InitParams and accept it in TaskSchedulerImpl constructor. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months ago by fdoray
Modified:
1 month, 4 weeks ago
CC:
chromium-reviews, gab+watch_chromium.org, robliao+watch_chromium.org, fdoray+watch_chromium.org, vmpstr+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Add TaskScheduler::InitParams and accept it in TaskSchedulerImpl constructor. TaskScheduler::InitParams is a struct of 4 SchedulerWorkerPoolParams. Eventually, TaskSchedulerImpl will always be initialized with it (it will no longer be possible to provide a vector with an arbitrary number of SchedulerWorkerPoolParams). Reference CL: https://codereview.chromium.org/2749303002/ BUG=690706 Review-Url: https://codereview.chromium.org/2764603002 Cr-Commit-Position: refs/heads/master@{#460167} Committed: https://chromium.googlesource.com/chromium/src/+/3f6f57a4713fc45b7e4fddf588df5aa43c909457

Patch Set 1 #

Patch Set 2 : self-review #

Total comments: 16

Patch Set 3 : CR gab #

Patch Set 4 : add ref to bug #

Patch Set 5 : fix build error #

Patch Set 6 : kEnvironmentParams #

Patch Set 7 : self-review #

Patch Set 8 : self-review #

Patch Set 9 : self-review #

Total comments: 10

Patch Set 10 : CR robliao #22 #

Patch Set 11 : self-review #

Total comments: 2

Patch Set 12 : add ~InitParams #

Patch Set 13 : no offsetof #

Unified diffs Side-by-side diffs Delta from patch set Stats (+166 lines, -2 lines) Patch
M base/task_scheduler/scheduler_worker_pool_params.h View 3 chunks +12 lines, -0 lines 0 comments Download
M base/task_scheduler/scheduler_worker_pool_params.cc View 1 2 3 4 5 6 1 chunk +12 lines, -0 lines 0 comments Download
M base/task_scheduler/task_scheduler.h View 1 2 3 4 5 6 7 8 9 10 11 4 chunks +30 lines, -1 line 0 comments Download
M base/task_scheduler/task_scheduler.cc View 1 2 3 4 5 6 7 8 9 10 11 3 chunks +21 lines, -1 line 0 comments Download
M base/task_scheduler/task_scheduler_impl.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +13 lines, -0 lines 0 comments Download
M base/task_scheduler/task_scheduler_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 2 chunks +78 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 43 (20 generated)
fdoray
PTAL Note: A big part of this CL is just transition code.
2 months ago (2017-03-20 20:13:33 UTC) #2
gab
lgtm w/ comments (link to https://codereview.chromium.org/2749303002/ as the meta-CL for reference?) https://codereview.chromium.org/2764603002/diff/20001/base/task_scheduler/scheduler_worker_pool_params.cc File base/task_scheduler/scheduler_worker_pool_params.cc (right): ...
2 months ago (2017-03-20 20:31:56 UTC) #3
fdoray
https://codereview.chromium.org/2764603002/diff/20001/base/task_scheduler/scheduler_worker_pool_params.cc File base/task_scheduler/scheduler_worker_pool_params.cc (right): https://codereview.chromium.org/2764603002/diff/20001/base/task_scheduler/scheduler_worker_pool_params.cc#newcode30 base/task_scheduler/scheduler_worker_pool_params.cc:30: : SchedulerWorkerPoolParams(EmptyString(), On 2017/03/20 20:31:56, gab wrote: > s/EmptyString()/std::string()/ ...
2 months ago (2017-03-20 20:43:54 UTC) #4
robliao (OOO 25 and 26)
https://codereview.chromium.org/2764603002/diff/20001/base/task_scheduler/task_scheduler.cc File base/task_scheduler/task_scheduler.cc (right): https://codereview.chromium.org/2764603002/diff/20001/base/task_scheduler/task_scheduler.cc#newcode26 base/task_scheduler/task_scheduler.cc:26: ThreadPriority priority_hint, The end state version won't be using ...
2 months ago (2017-03-20 20:47:32 UTC) #6
fdoray
PTAnL https://codereview.chromium.org/2764603002/diff/20001/base/task_scheduler/task_scheduler.cc File base/task_scheduler/task_scheduler.cc (right): https://codereview.chromium.org/2764603002/diff/20001/base/task_scheduler/task_scheduler.cc#newcode26 base/task_scheduler/task_scheduler.cc:26: ThreadPriority priority_hint, On 2017/03/20 20:47:32, robliao wrote: > ...
2 months ago (2017-03-20 20:55:35 UTC) #7
robliao (OOO 25 and 26)
https://codereview.chromium.org/2764603002/diff/20001/base/task_scheduler/task_scheduler.cc File base/task_scheduler/task_scheduler.cc (right): https://codereview.chromium.org/2764603002/diff/20001/base/task_scheduler/task_scheduler.cc#newcode26 base/task_scheduler/task_scheduler.cc:26: ThreadPriority priority_hint, On 2017/03/20 20:55:35, fdoray wrote: > On ...
2 months ago (2017-03-20 21:00:56 UTC) #8
fdoray
On 2017/03/20 21:00:56, robliao wrote: > https://codereview.chromium.org/2764603002/diff/20001/base/task_scheduler/task_scheduler.cc > File base/task_scheduler/task_scheduler.cc (right): > > https://codereview.chromium.org/2764603002/diff/20001/base/task_scheduler/task_scheduler.cc#newcode26 > ...
2 months ago (2017-03-20 21:50:38 UTC) #9
robliao (OOO 25 and 26)
https://codereview.chromium.org/2764603002/diff/20001/base/task_scheduler/task_scheduler.cc File base/task_scheduler/task_scheduler.cc (right): https://codereview.chromium.org/2764603002/diff/20001/base/task_scheduler/task_scheduler.cc#newcode26 base/task_scheduler/task_scheduler.cc:26: ThreadPriority priority_hint, On 2017/03/20 21:00:56, robliao wrote: > On ...
2 months ago (2017-03-20 21:55:00 UTC) #10
robliao (OOO 25 and 26)
https://codereview.chromium.org/2764603002/diff/20001/base/task_scheduler/task_scheduler.cc File base/task_scheduler/task_scheduler.cc (right): https://codereview.chromium.org/2764603002/diff/20001/base/task_scheduler/task_scheduler.cc#newcode26 base/task_scheduler/task_scheduler.cc:26: ThreadPriority priority_hint, On 2017/03/20 21:55:00, robliao wrote: > On ...
2 months ago (2017-03-20 22:06:27 UTC) #11
fdoray
https://codereview.chromium.org/2764603002/diff/20001/base/task_scheduler/task_scheduler.cc File base/task_scheduler/task_scheduler.cc (right): https://codereview.chromium.org/2764603002/diff/20001/base/task_scheduler/task_scheduler.cc#newcode26 base/task_scheduler/task_scheduler.cc:26: ThreadPriority priority_hint, On 2017/03/20 22:06:27, robliao wrote: > On ...
2 months ago (2017-03-21 14:41:26 UTC) #12
robliao (OOO 25 and 26)
https://codereview.chromium.org/2764603002/diff/20001/base/task_scheduler/task_scheduler.cc File base/task_scheduler/task_scheduler.cc (right): https://codereview.chromium.org/2764603002/diff/20001/base/task_scheduler/task_scheduler.cc#newcode26 base/task_scheduler/task_scheduler.cc:26: ThreadPriority priority_hint, On 2017/03/21 14:41:26, fdoray wrote: > On ...
2 months ago (2017-03-21 20:02:29 UTC) #13
fdoray
PTAnL https://codereview.chromium.org/2764603002/diff/20001/base/task_scheduler/task_scheduler.cc File base/task_scheduler/task_scheduler.cc (right): https://codereview.chromium.org/2764603002/diff/20001/base/task_scheduler/task_scheduler.cc#newcode26 base/task_scheduler/task_scheduler.cc:26: ThreadPriority priority_hint, On 2017/03/21 20:02:29, robliao wrote: > ...
2 months ago (2017-03-22 13:07:38 UTC) #17
robliao (OOO 25 and 26)
Thanks for the changes! This will allow for an easier transition. https://codereview.chromium.org/2764603002/diff/160001/base/task_scheduler/task_scheduler.cc File base/task_scheduler/task_scheduler.cc (right): ...
2 months ago (2017-03-23 18:00:53 UTC) #22
fdoray
PTAnL https://codereview.chromium.org/2764603002/diff/160001/base/task_scheduler/task_scheduler.cc File base/task_scheduler/task_scheduler.cc (right): https://codereview.chromium.org/2764603002/diff/160001/base/task_scheduler/task_scheduler.cc#newcode24 base/task_scheduler/task_scheduler.cc:24: SchedulerWorkerPoolParams AugmentWorkerPoolParamsWithNameAndPriority( On 2017/03/23 18:00:52, robliao wrote: > ...
2 months ago (2017-03-24 14:00:39 UTC) #24
robliao (OOO 25 and 26)
lgtm. Thanks for taking the time to make the changes!
2 months ago (2017-03-24 21:39:27 UTC) #28
robliao (OOO 25 and 26)
https://codereview.chromium.org/2764603002/diff/200001/base/task_scheduler/task_scheduler.h File base/task_scheduler/task_scheduler.h (right): https://codereview.chromium.org/2764603002/diff/200001/base/task_scheduler/task_scheduler.h#newcode40 base/task_scheduler/task_scheduler.h:40: struct BASE_EXPORT InitParams { You'll want to fix this: ...
2 months ago (2017-03-24 21:41:06 UTC) #29
fdoray
https://codereview.chromium.org/2764603002/diff/200001/base/task_scheduler/task_scheduler.h File base/task_scheduler/task_scheduler.h (right): https://codereview.chromium.org/2764603002/diff/200001/base/task_scheduler/task_scheduler.h#newcode40 base/task_scheduler/task_scheduler.h:40: struct BASE_EXPORT InitParams { On 2017/03/24 21:41:06, robliao wrote: ...
1 month, 4 weeks ago (2017-03-28 13:42:37 UTC) #30
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2764603002/220001
1 month, 4 weeks ago (2017-03-28 13:43:01 UTC) #33
commit-bot: I haz the power
Try jobs failed on following builders: win_clang on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_clang/builds/195722)
1 month, 4 weeks ago (2017-03-28 14:58:59 UTC) #35
fdoray
win-clang doesn't like how I use offsetof: E:\b\c\b\win_clang\src\base\task_scheduler\task_scheduler_impl.cc(53,6): error: offset of on non-standard-layout type 'TaskScheduler::InitParams' ...
1 month, 4 weeks ago (2017-03-28 16:40:56 UTC) #36
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2764603002/240001
1 month, 4 weeks ago (2017-03-28 16:41:40 UTC) #39
robliao (OOO 25 and 26)
On 2017/03/28 16:41:40, commit-bot: I haz the power wrote: > CQ is trying da patch. ...
1 month, 4 weeks ago (2017-03-28 17:00:01 UTC) #40
commit-bot: I haz the power
1 month, 4 weeks ago (2017-03-28 18:05:43 UTC) #43
Message was sent while issue was closed.
Committed patchset #13 (id:240001) as
https://chromium.googlesource.com/chromium/src/+/3f6f57a4713fc45b7e4fddf588df...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06